-- COMBAT_LOG_EVENT_UNFILTERED
function(e, ...)
	local se, err = CLEUParser.GetSubevent(...)
	if err ~= nil then return end
	local caster, err = CLEUParser.GetSourceGUID(...)
	if err ~= nil then return end
	local id, err = CLEUParser.GetSpellId(...)
	if err ~= nil then return end

	if caster == aura_env.player and id == 198590 then
		if se == "SPELL_CAST_SUCCESS" then
			aura_env.statee:set(1)
		end
		if se == "SPELL_DAMAGE" then
			aura_env.tick:set(aura_env.tick + 1)
		end
		if se == "SPELL_AURA_REMOVED" then
			aura_env.statee:set(0)
		end
	end
end